Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Comparator/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Comparator/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Comparator/Makefile.deps	(revision 142)
@@ -23,16 +23,19 @@
 					$(Behavioural_LIBRARY)	
 
-Comparator_DIR_LIBRARY		=	-L$(Comparator_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Comparator_library		:
+Comparator_library_only		:
 				@\
-				$(MAKE) Behavioural_library;		\
 				$(MAKE) --directory=$(Comparator_DIR) --makefile=Makefile;
 
-Comparator_library_clean	:
+Comparator_library_clean_only	:
 				@\
-				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) --directory=$(Comparator_DIR) --makefile=Makefile clean;
+
+Comparator_library		: Comparator_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Comparator_library_clean	: Comparator_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile.deps	(revision 142)
@@ -8,5 +8,5 @@
 # DIR_MORPHEO must be defined
 
-Counter			= yes
+Counter				= yes
 
 ifndef Behavioural
@@ -15,19 +15,23 @@
 
 #-----[ Library ]------------------------------------------
-Counter_LIBRARY		= 	-lCounter	\
+
+Counter_LIBRARY			= 	-lCounter	\
 					$(Behavioural_LIBRARY)	
-
-Counter_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Counter/lib	\
-					$(Behavioural_DIR_LIBRARY)
 
 #-----[ Rules ]--------------------------------------------
 
-Counter_library		: 
+Counter_library_only		: 
 				@\
-				$(MAKE) Behavioural_library; \
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Counter --makefile=Makefile;
 	
-Counter_library_clean	: 
+Counter_library_clean_only	: 
 				@\
-				$(MAKE) Behavioural_library_clean; \
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Counter --makefile=Makefile clean;
+
+Counter_library			: Counter_library_only
+				@\
+				$(MAKE) Behavioural_library;
+	
+Counter_library_clean		: Counter_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Divider/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Divider/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Divider/Makefile.deps	(revision 142)
@@ -8,5 +8,5 @@
 # DIR_MORPHEO must be defined
 
-Divider			= yes
+Divider				= yes
 
 ifndef Behavioural
@@ -20,19 +20,22 @@
 #-----[ Library ]------------------------------------------
 
-Divider_LIBRARY		= 	-lDivider	\
+Divider_LIBRARY			= 	-lDivider	\
 					$(Behavioural_LIBRARY)	
-
-Divider_DIR_LIBRARY		=	-L$(Divider_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
 
 #-----[ Rules ]--------------------------------------------
 
-Divider_library		:
+Divider_library_only		:
 				@\
-				$(MAKE) Behavioural_library;		\
 				$(MAKE) --directory=$(Divider_DIR) --makefile=Makefile;
 
-Divider_library_clean	:
+Divider_library_clean_only	:
 				@\
-				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) --directory=$(Divider_DIR) --makefile=Makefile clean;
+
+Divider_library			: Divider_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Divider_library_clean		: Divider_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Multiplier/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Multiplier/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Multiplier/Makefile.deps	(revision 142)
@@ -23,16 +23,19 @@
 					$(Behavioural_LIBRARY)	
 
-Multiplier_DIR_LIBRARY		=	-L$(Multiplier_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Multiplier_library		:
+Multiplier_library_only		:
 				@\
-				$(MAKE) Behavioural_library;		\
 				$(MAKE) --directory=$(Multiplier_DIR) --makefile=Makefile;
 
-Multiplier_library_clean	:
+Multiplier_library_clean_only	:
 				@\
-				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) --directory=$(Multiplier_DIR) --makefile=Makefile clean;
+
+Multiplier_library		: Multiplier_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Multiplier_library_clean	: Multiplier_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Priority/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Priority/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Priority/Makefile.deps	(revision 142)
@@ -22,16 +22,19 @@
 					$(Common_LIBRARY)	
 
-Priority_DIR_LIBRARY		=	-L$(Priority_DIR)/lib\
-					$(Common_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Priority_library		:
+Priority_library_only		:
 				@\
-				$(MAKE) --directory=$(Priority_DIR) --makefile=Makefile;\
+				$(MAKE) --directory=$(Priority_DIR) --makefile=Makefile;
+
+Priority_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Priority_DIR) --makefile=Makefile clean;
+
+Priority_library		: Priority_library_only
+				@\
 				$(MAKE) Common_library;
 
-Priority_library_clean	:
+Priority_library_clean		: Priority_library_clean_only
 				@\
-				$(MAKE) --directory=$(Priority_DIR) --makefile=Makefile clean;\
 				$(MAKE) Common_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/Makefile.deps	(revision 142)
@@ -22,21 +22,21 @@
 					$(Behavioural_LIBRARY)	
 
-Queue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Queue/lib	\
-                                        $(Queue_Control_DIR_LIBRARY)\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-#.NOTPARALLEL			: Queue_library Queue_library_clean
+Queue_library_only		:
+				@\
+				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue --makefile=Makefile;
 
-Queue_library			:
+Queue_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue --makefile=Makefile clean;
+
+Queue_library			: Queue_library_only
 				@\
 				$(MAKE) Behavioural_library;\
-				$(MAKE) Queue_Control_library;\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue --makefile=Makefile;
+				$(MAKE) Queue_Control_library;
 
-Queue_library_clean		:
+Queue_library_clean		: Queue_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;\
-				$(MAKE) Queue_Control_library_clean;\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue --makefile=Makefile clean;
+				$(MAKE) Queue_Control_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.deps	(revision 142)
@@ -15,21 +15,23 @@
 
 #-----[ Library ]------------------------------------------
+
 Queue_Control_LIBRARY		= 	-lQueue_Control	\
-				$(Behavioural_LIBRARY)	
-
-Queue_Control_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/lib	\
-				$(Behavioural_DIR_LIBRARY)
+					$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-#.NOTPARALLEL			: Queue_Control_library Queue_Control_library_clean
-
-Queue_Control_library		:
+Queue_Control_library_only	:
 				@\
-				$(MAKE) Behavioural_library;\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control --makefile=Makefile;
 
-Queue_Control_library_clean	:
+Queue_Control_library_clean_only:
 				@\
-				$(MAKE) Behavioural_library_clean;\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control --makefile=Makefile clean;
+
+Queue_Control_library		: Queue_Control_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Queue_Control_library_clean	: Queue_Control_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.deps	(revision 142)
@@ -20,6 +20,6 @@
 endif
 
+#-----[ Library ]------------------------------------------
 
-#-----[ Library ]------------------------------------------
 RegisterFile_LIBRARY		= 	-lRegisterFile				\
 					$(RegisterFile_Monolithic_LIBRARY)      \
@@ -27,22 +27,23 @@
 					$(Behavioural_LIBRARY)	
 
-RegisterFile_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/lib	\
-					$(RegisterFile_Monolithic_DIR_LIBRARY)      \
-					$(RegisterFile_Multi_Banked_DIR_LIBRARY)    \
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-RegisterFile_library		: 
+RegisterFile_library_only	: 
+				@\
+				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile --makefile=Makefile;
+	
+RegisterFile_library_clean_only	: 
+				@\
+				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile --makefile=Makefile clean;
+
+RegisterFile_library		: RegisterFile_library_only
 				@\
 				$(MAKE) Behavioural_library; \
 				$(MAKE) RegisterFile_Monolithic_library;\
-				$(MAKE) RegisterFile_Multi_Banked_library;\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile --makefile=Makefile;
+				$(MAKE) RegisterFile_Multi_Banked_library;
 	
-RegisterFile_library_clean	: 
+RegisterFile_library_clean	: RegisterFile_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean; \
 				$(MAKE) RegisterFile_Monolithic_library_clean;\
-				$(MAKE) RegisterFile_Multi_Banked_library_clean;\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile --makefile=Makefile clean;
+				$(MAKE) RegisterFile_Multi_Banked_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps	(revision 142)
@@ -8,26 +8,30 @@
 # DIR_MORPHEO must be defined
 
-RegisterFile_Monolithic			= yes
+RegisterFile_Monolithic				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
 #-----[ Library ]------------------------------------------
-RegisterFile_Monolithic_LIBRARY		= 	-lRegisterFile_Monolithic		\
-					$(Behavioural_LIBRARY)	
 
-RegisterFile_Monolithic_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/lib	\
-					$(Behavioural_DIR_LIBRARY)	
+RegisterFile_Monolithic_LIBRARY			= 	-lRegisterFile_Monolithic		\
+							$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-RegisterFile_Monolithic_library		:
-				@\
-				$(MAKE)  Behavioural_library; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile;
+RegisterFile_Monolithic_library_only		:
+						@\
+						$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile;
 	
-RegisterFile_Monolithic_library_clean	:
-				@\
-				$(MAKE)  Behavioural_library_clean; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile clean;
+RegisterFile_Monolithic_library_clean_only	:
+						@\
+						$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile clean;
+
+RegisterFile_Monolithic_library			: RegisterFile_Monolithic_library_only
+						@\
+						$(MAKE)  Behavioural_library;
+	
+RegisterFile_Monolithic_library_clean		: RegisterFile_Monolithic_library_clean_only
+						@\
+						$(MAKE)  Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.deps	(revision 142)
@@ -11,11 +11,11 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 ifndef RegisterFile_Monolithic
-include 			$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps
 endif
 ifndef Select_Priority_Fixed
-include 			$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps
+include		 				$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps
 endif
 
@@ -26,22 +26,23 @@
 							$(Select_Priority_Fixed_LIBRARY)
 
-RegisterFile_Multi_Banked_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/lib	\
-							$(Behavioural_DIR_LIBRARY)		\
-							$(RegisterFile_Monolithic_DIR_LIBRARY)	\
-							$(Select_Priority_Fixed_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-RegisterFile_Multi_Banked_library		: 
-				@\
-				$(MAKE) Behavioural_library; 			\
-				$(MAKE) RegisterFile_Monolithic_library; 	\
-				$(MAKE) Select_Priority_Fixed_library; 		\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked --makefile=Makefile;
+RegisterFile_Multi_Banked_library_only		: 
+						@\
+						$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked --makefile=Makefile;
 	
-RegisterFile_Multi_Banked_library_clean	: 
-				@\
-				$(MAKE) Behavioural_library_clean; 		\
-				$(MAKE) RegisterFile_Monolithic_library_clean; 	\
-				$(MAKE) Select_Priority_Fixed_library_clean; 	\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked --makefile=Makefile clean;
+RegisterFile_Multi_Banked_library_clean_only	: 
+						@\
+						$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked --makefile=Makefile clean;
+
+RegisterFile_Multi_Banked_library		: RegisterFile_Multi_Banked_library_only
+						@\
+						$(MAKE) Behavioural_library; 			\
+						$(MAKE) RegisterFile_Monolithic_library; 	\
+						$(MAKE) Select_Priority_Fixed_library;
+	
+RegisterFile_Multi_Banked_library_clean		: RegisterFile_Multi_Banked_library_clean_only
+						@\
+						$(MAKE) Behavioural_library_clean; 		\
+						$(MAKE) RegisterFile_Monolithic_library_clean; 	\
+						$(MAKE) Select_Priority_Fixed_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps	(revision 142)
@@ -8,26 +8,29 @@
 # DIR_MORPHEO must be defined
 
-Select_Priority_Fixed			= yes
+Select_Priority_Fixed				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
 #-----[ Library ]------------------------------------------
-Select_Priority_Fixed_LIBRARY		= 	-lSelect_Priority_Fixed	\
-					$(Behavioural_LIBRARY)	
-
-Select_Priority_Fixed_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed/lib	\
-					$(Behavioural_DIR_LIBRARY)
+Select_Priority_Fixed_LIBRARY			= 	-lSelect_Priority_Fixed	\
+							$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Select_Priority_Fixed_library		: 
-				@\
-				$(MAKE) Behavioural_library; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile;
+Select_Priority_Fixed_library_only		: 
+						@\
+						$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile;
 	
-Select_Priority_Fixed_library_clean	: 
-				@\
-				$(MAKE) Behavioural_library_clean; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile clean;
+Select_Priority_Fixed_library_clean_only	: 
+						@\
+						$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile clean;
+
+Select_Priority_Fixed_library			: Select_Priority_Fixed_library_only
+						@\
+						$(MAKE) Behavioural_library;
+	
+Select_Priority_Fixed_library_clean		: Select_Priority_Fixed_library_clean_only
+						@\
+						$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/Makefile.deps	(revision 142)
@@ -2,5 +2,5 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
@@ -14,20 +14,24 @@
 endif
 
-#-----[ Library ]------------------------------------------
+#-----[ Library ]------------------------------------------
+
 Shifter_LIBRARY			= 	-lShifter	\
 					$(Behavioural_LIBRARY)	
 
-Shifter_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Shifter/lib	\
-					$(Behavioural_DIR_LIBRARY)
+#-----[ Rules ]--------------------------------------------
 
-#-----[ Rules ]--------------------------------------------
-
-Shifter_library		: 
+Shifter_library_only		: 
 				@\
-				$(MAKE) Behavioural_library;\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Shifter --makefile=Makefile;
 	
-Shifter_library_clean	: 
+Shifter_library_clean_only	: 
 				@\
-				$(MAKE) Behavioural_library_clean;\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Shifter --makefile=Makefile clean;
+
+Shifter_library			: Shifter_library_only
+				@\
+				$(MAKE) Behavioural_library;
+	
+Shifter_library_clean		: Shifter_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Sort/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Sort/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Sort/Makefile.deps	(revision 142)
@@ -11,28 +11,31 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 		$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
 #-----[ Directory ]----------------------------------------
 
-Sort_DIR			=	$(DIR_MORPHEO)/Behavioural/Generic/Sort
+Sort_DIR		=	$(DIR_MORPHEO)/Behavioural/Generic/Sort
 
 #-----[ Library ]------------------------------------------
 
 Sort_LIBRARY		= 	-lSort	\
-					$(Behavioural_LIBRARY)	
-
-Sort_DIR_LIBRARY		=	-L$(Sort_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+				$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Sort_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Sort_DIR) --makefile=Makefile;
+Sort_library_only	:
+			@\
+			$(MAKE) --directory=$(Sort_DIR) --makefile=Makefile;
 
-Sort_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Sort_DIR) --makefile=Makefile clean;
+Sort_library_clean_only	:
+			@\
+			$(MAKE) --directory=$(Sort_DIR) --makefile=Makefile clean;
+
+Sort_library		: Sort_library_only
+			@\
+			$(MAKE) Behavioural_library;
+
+Sort_library_clean	: Sort_library_clean_only
+			@\
+			$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Makefile.deps	(revision 142)
@@ -8,5 +8,5 @@
 # DIR_MORPHEO must be defined
 
-Victim			= yes
+Victim				= yes
 
 ifndef Behavioural
@@ -48,21 +48,18 @@
 #					$(Victim_FIFO_LIBRARY)		\
 
-Victim_DIR_LIBRARY		=	-L$(Victim_DIR)/lib			\
-					$(Victim_Pseudo_LRU_DIR_LIBRARY)	\
-					$(Behavioural_DIR_LIBRARY)
-
-#					$(Victim_Random_DIR_LIBRARY)		\
-#					$(Victim_Round_Robin_DIR_LIBRARY)	\
-#					$(Victim_NLU_DIR_LIBRARY)		\
-#					$(Victim_LRU_DIR_LIBRARY)		\
-#					$(Victim_FIFO_DIR_LIBRARY)		\
-
 #-----[ Rules ]--------------------------------------------
 
-Victim_library		:
+Victim_library_only			:
+				@\
+				$(MAKE) --directory=$(Victim_DIR) --makefile=Makefile;
+
+Victim_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Victim_DIR) --makefile=Makefile clean;
+
+Victim_library			: Victim_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Victim_Pseudo_LRU_library;	\
-				$(MAKE) --directory=$(Victim_DIR) --makefile=Makefile;
+				$(MAKE) Victim_Pseudo_LRU_library;
 
 #				$(MAKE) Victim_Random_library;		\
@@ -72,9 +69,8 @@
 #				$(MAKE) Victim_FIFO_library;		\
 
-Victim_library_clean	:
+Victim_library_clean		: Victim_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;		\
-				$(MAKE) Victim_Pseudo_LRU_library_clean;	\
-				$(MAKE) --directory=$(Victim_DIR) --makefile=Makefile clean;
+				$(MAKE) Victim_Pseudo_LRU_library_clean;
 
 #				$(MAKE) Victim_Random_library_clean;		\
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.deps	(revision 142)
@@ -2,5 +2,5 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
@@ -11,23 +11,26 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
-#-----[ Library ]------------------------------------------
+#-----[ Library ]------------------------------------------
 Victim_Pseudo_LRU_LIBRARY		= 	-lVictim_Pseudo_LRU		\
 						$(Behavioural_LIBRARY)	
 
-Victim_Pseudo_LRU_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU/lib	\
-						$(Behavioural_DIR_LIBRARY)	
+#-----[ Rules ]--------------------------------------------
 
-#-----[ Rules ]--------------------------------------------
+Victim_Pseudo_LRU_library_only		:
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile;
 
-Victim_Pseudo_LRU_library		:
-				@\
-				$(MAKE)  Behavioural_library; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile;
+Victim_Pseudo_LRU_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile clean;
 
-Victim_Pseudo_LRU_library_clean	:
-				@\
-				$(MAKE)  Behavioural_library_clean; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile clean;
+Victim_Pseudo_LRU_library		: Victim_Pseudo_LRU_library_only
+					@\
+					$(MAKE)  Behavioural_library;
+
+Victim_Pseudo_LRU_library_clean		: Victim_Pseudo_LRU_library_clean_only
+					@\
+					$(MAKE)  Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_allocation.cpp	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/src/Victim_allocation.cpp	(revision 142)
@@ -61,5 +61,5 @@
       case VICTIM_PSEUDO_LRU  :
 	{
-	  std::cout << "Create   : " << _name << std::endl;
+	  log_printf(INFO,Victim,FUNCTION,_("Create   : %s"),_name.c_str());
 
 	  _component_victim_pseudo_lru = new morpheo::behavioural::generic::victim::victim_pseudo_lru::Victim_Pseudo_LRU
@@ -79,5 +79,5 @@
     // ~~~~~[ Instanciation ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-    std::cout << "Instance : " << _name << std::endl;
+    log_printf(INFO,Victim,FUNCTION,_("Instance : %s"),_name.c_str());
 
     switch (_param->_victim_scheme)
